
Auto Multiple Choice - Bug # 219: AMC 1.2.1 fails to build on mac OSX macports

Status: Closed Priority: Normal
Author: Jose Goicolea Category:
Created: 10/05/2013 Assignee:
Updated: 07/05/2014 Due date:
Description: When upgrading my macports on Mac OS X 10.7.5 the upgraded AMC 1.2.1 was fetched, however in the 

build stage it fails with some errors:

> --->  Attempting to fetch auto-multiple-choice_1.2.1_precomp.tar.gz from 
http://lil.fr.distfiles.macports.org/auto-multiple-choice
> --->  Verifying checksums for auto-multiple-choice
> --->  Extracting auto-multiple-choice
> --->  Configuring auto-multiple-choice
> --->  Building auto-multiple-choice
> Error: org.macports.build for port auto-multiple-choice returned: command execution failed
> Please see the log file for port auto-multiple-choice for details:
> 
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_x1
1_auto-multiple-choice/auto-multiple-choice/main.log

I am attaching the log file for reference, conflict seems to arise with some functions in opencv, but I'm not 
sure.

Regards,

History
10/05/2013 12:19 am - Jose Goicolea
Sorry, my mistake, the attached file was not the log file. I do not see how to attach a new log file, so I'll create another issue

10/05/2013 12:40 am - Jose Goicolea
- File main.log added

Here is the log file

10/07/2013 09:09 am - Joël Brogniart
What version of Xcode do you have?

10/07/2013 09:18 am - Jose Goicolea
I have xcode 4.6.2

Joël Brogniart wrote:
> What version of Xcode do you have?

10/07/2013 09:29 am - Joël Brogniart
I should have asked before, what is your MacPorts version?

I'm testing installation with 10.7.5, Xcode 4.6.2, MacPorts 2.2.0…

10/07/2013 09:58 am - Joël Brogniart
My test succeeded. Please, could you do the following.
<pre>
sudo port clean auto-multiple-choice
</pre>

then
<pre>
sudo port build auto-multiple-choice
</pre>

then attach the log file here (should be in 
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_x11_auto-multiple-choice/auto-multiple-choice/main
.log).

10/07/2013 04:36 pm - Jose Goicolea
- File AMC_main.log added

Hello, first my system info, which is identical: OS-X 10.7.5, Xcode 4.6.2, Macports 2.2.0

I have performed a macports selfupdate, then a clean / build of auto-multiple-choice as suggested. The error persists, I include the log file attached.

Thanks for your attention,

10/08/2013 09:14 am - Joël Brogniart
The problem occurs during the compilation of opencv and is related to the compiler used. It is not AMC directly the culprit. I'll try to find if there is a 
simple solution to this. In the mean time, could you send me the result of the command (in Terminal.app):
<pre>
port list installed|grep opencv
</pre>

and the result of:
<pre>
clang -v
</pre>

so I can see installed opencv and compiler version.

Did you update Xcode's Command Line Tools?

10/08/2013 10:36 am - Jose Goicolea
Thank you!

I updated the command line tools within xcode, and I think that did the job. The package auto-multiple-choice now builds without errors!

Many thanks indeed for your help and contribution to this excellent program.

With regard to the other questions, probably not relevant now, the answers are:

> user@trueno:~$ port list installed | grep opencv
> opencv                         @2.4.6.1        graphics/opencv
> user@trueno:~$ clang -v
> Apple LLVM version 4.2 (clang-425.0.28) (based on LLVM 3.2svn)
> Target: x86_64-apple-darwin11.4.2
> Thread model: posix

Regards,

10/08/2013 11:21 am - Joël Brogniart
Happy to hear that the update solved the problem. And happy that the solution was a simple one! 

07/05/2014 08:35 pm - Anirvan Sarkar
- % Done changed from 0 to 100

- Status changed from New to Closed

Files
auto-multiple-choice_problem.txt 1.4 kB 10/05/2013 Jose Goicolea
main.log 17.1 kB 10/05/2013 Jose Goicolea
AMC_main.log 187.2 kB 10/07/2013 Jose Goicolea
